classification
Title: Py3K warn against using __members__
Type: Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: jackdied Nosy List: brett.cannon, georg.brandl, jackdied
Priority: critical Keywords: 26backport, patch

Created on 2008-03-17 19:15 by brett.cannon, last changed 2008-03-21 20:22 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
methods_members.patch jackdied, 2008-03-19 17:04
Messages (3)
msg63713 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-03-17 19:15
Using __members__ should raise a Py3K warning.
msg64071 - (view) Author: Jack Diederich (jackdied) * (Python committer) Date: 2008-03-19 17:04
This patch raises a py3k warning from inside the dir() machinery so it
will only warn when dir() is called on an object with an old style
__members__ or __methods__ attribute.  It does not warn if there is an
old style __members__ attribute that is not used.
msg64271 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-03-21 20:22
Added test case and warning for another use of __methods__ and committed
as r61715.
History
Date User Action Args
2008-03-21 20:22:19georg.brandlsetstatus: open -> closed
nosy: + georg.brandl
resolution: accepted
messages: + msg64271
2008-03-19 17:04:42jackdiedsetfiles: + methods_members.patch
assignee: jackdied
messages: + msg64071
keywords: + patch
nosy: + jackdied
2008-03-17 20:12:53brett.cannonsetpriority: release blocker -> critical
2008-03-17 19:15:55brett.cannoncreate